com.io7m.r2.filters

## Class R2ShaderFilterLightApplicatorParameters.Builder

- java.lang.Object
- - com.io7m.r2.filters.R2ShaderFilterLightApplicatorParameters.Builder

- Enclosing class:
    R2ShaderFilterLightApplicatorParameters

      public static final class R2ShaderFilterLightApplicatorParameters.Builder
      extends Object

  Builds instances of type `R2ShaderFilterLightApplicatorParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2ShaderFilterLightApplicatorParameters` | `build()` Builds a new `R2ShaderFilterLightApplicatorParameters`.
    `R2ShaderFilterLightApplicatorParameters.Builder` | `from(R2ShaderFilterLightApplicatorParametersType instance)` Fill a builder with attribute values from the provided `R2ShaderFilterLightApplicatorParametersType` instance.
    `R2ShaderFilterLightApplicatorParameters.Builder` | `setAlbedoTexture(R2Texture2DUsableType albedoTexture)` Initializes the value for the `albedoTexture` attribute.
    `R2ShaderFilterLightApplicatorParameters.Builder` | `setDiffuseTexture(R2Texture2DUsableType diffuseTexture)` Initializes the value for the `diffuseTexture` attribute.
    `R2ShaderFilterLightApplicatorParameters.Builder` | `setSpecularTexture(R2Texture2DUsableType specularTexture)` Initializes the value for the `specularTexture` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2ShaderFilterLightApplicatorParameters.Builder from(R2ShaderFilterLightApplicatorParametersType instance)

      Fill a builder with attribute values from the provided `R2ShaderFilterLightApplicatorParametersType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setAlbedoTexture

          public final R2ShaderFilterLightApplicatorParameters.Builder setAlbedoTexture(R2Texture2DUsableType albedoTexture)

      Initializes the value for the `albedoTexture` attribute.
      Parameters:
        `albedoTexture` - The value for albedoTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setDiffuseTexture

          public final R2ShaderFilterLightApplicatorParameters.Builder setDiffuseTexture(R2Texture2DUsableType diffuseTexture)

      Initializes the value for the `diffuseTexture` attribute.
      Parameters:
        `diffuseTexture` - The value for diffuseTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setSpecularTexture

          public final R2ShaderFilterLightApplicatorParameters.Builder setSpecularTexture(R2Texture2DUsableType specularTexture)

      Initializes the value for the `specularTexture` attribute.
      Parameters:
        `specularTexture` - The value for specularTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2ShaderFilterLightApplicatorParameters build()

      Builds a new `R2ShaderFilterLightApplicatorParameters`.
      Returns:
        An immutable instance of R2ShaderFilterLightApplicatorParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com